# class Tk::Tcllib::Plotchart::Radialchart

### Constants

TkCommandNames

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/tkextlib/tcllib/plotchart.rb, line 940
    def initialize(*args) # args := ([parent,] names, scale, style [, keys])
                          # radius_data := Array of [maximum_radius, stepsize]
      if args[0].kind_of?(Array)
        @names = args.shift
        @scale = args.shift
        @style = args.shift

        super(*args) # create canvas widget
      else
        parent = args.shift

        @names = args.shift
        @scale = args.shift
        @style = args.shift

        if parent.kind_of?(Tk::Canvas)
          @path = parent.path
        else
          super(parent, *args) # create canvas widget
        end
      end

      @chart = _create_chart
    end

### Public Instance Methods

__destroy_hook__() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 972
    def __destroy_hook__
      Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.mutex.synchronize{
        Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.delete(@path)
      }
    end

colors(*list)
Alias for: colours
colours(*list) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 984
    def colours(*list)
      tk_call_without_enc(@chart, 'colours', *list)
      self
    end

Also aliased as: colors
plot(data, color, thickness) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 978
    def plot(data, color, thickness)
      tk_call_without_enc(@chart, 'plot', _get_eval_enc_str(data),
                          color, thickness)
      self
    end

### Private Instance Methods

_create_chart() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 965
    def _create_chart
      p self.class::TkCommandNames[1] if $DEBUG
      tk_call_without_enc(self.class::TkCommandNames[1], @path,
                          array2tk_list(@names), @scale, @style)
    end